#include "c2d2/chien2d2.h"

#define max_objetos 6
#define nenhum_objeto 0
#define pedra 0
#define gato  1
#define chave 2
#define porta 3
#define moeda 4

extern int objetos[6];//Possui três objetos ou menos, cada objeto irá armazenar um número que irá fazer referência a qual objeto está na tela
extern int objetos_posx[6];//Posição horizontal dos objetos
extern int objetos_posy[6];//Posição vertical dos objetos
extern int textura_chao;
extern int textura_teto;
extern int textura_parede;
extern int jogador_pos_x;
extern int jogador_pos_y;
extern unsigned int  text_chao[4],text_parede[3],text_teto[3];//onde é armazenadp
extern unsigned int objetos_sprites[6];
extern unsigned int jogador;
extern int jogador_animacao;//Salva a animacao que o jogador está
extern unsigned int textura_gato[13];

int gato_prox=0;
int gato_cnt=0;

void renderiza_cenario(){//Renderiza um ou mais objetos randomicos na tela, incluindo animações, usado dentro do loop de renderização do mapa
	int i=0;
	C2D2_LimpaTela();//limpa tela
	C2D2_DesenhaSprite(text_teto[textura_teto],0,0,0);
	C2D2_DesenhaSprite(text_parede[textura_parede],0,0,60);
	C2D2_DesenhaSprite(text_chao[textura_chao],0,0,400);
	while(i<6){
		if(objetos_posy[i]){
			if(objetos[i]==1){
				if(gato_cnt==3){
					gato_cnt=0;
					gato_prox++;
				}else gato_cnt++;
				if(gato_prox==12)gato_prox=0;
				C2D2_DesenhaSprite(textura_gato[gato_prox],0,objetos_posx[i],objetos_posy[i]);
			}
			else if(objetos[i] !=5)C2D2_DesenhaSprite(objetos_sprites[objetos[i]],0,objetos_posx[i],objetos_posy[i]);
			else C2D2_DesenhaSprite(objetos_sprites[0],0,objetos_posx[i],objetos_posy[i]);
		}
		i++;
	}C2D2_DesenhaSprite(jogador,jogador_animacao,jogador_pos_x,jogador_pos_y);
}